/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.dao;

import net.northking.cctp.executePlan.db.entity.AtuPlanScriptLinkMd;
import net.northking.cctp.executePlan.db.mapper.AtuPlanScriptLinkMdMapper;
import net.northking.cctp.executePlan.dto.planScript.AtuPlanScriptDeleteDto;
import net.northking.cctp.executePlan.dto.planScript.AtuPlanScriptLinkDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：计划脚本关联副表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-09-04 09:44:18  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuPlanScriptLinkMdDao extends AtuPlanScriptLinkMdMapper
{
    List<AtuPlanScriptLinkDto> queryLinkMdPage(@Param("planId") String planId,@Param("userId") String userId,@Param("scriptList")List<String> scriptList);

    Integer deleteLinkMd(AtuPlanScriptDeleteDto deleteDto);

    Integer insertMdBatch(List<AtuPlanScriptLinkMd> list);

}
