package net.northking.cctp.executePlan.dto.planLink;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>Title: AtuPlanScriptInputLinkDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/08/31
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuPlanScriptInputLinkDetailDto implements Serializable {

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 计划id<br>
     */
    @ApiModelProperty("计划id")
    @Size(max = 32, message="计划id-planId: 数据长度不能 > 32" )
    private String planId;
    /**
     * 脚本id<br>
     */
    @ApiModelProperty("脚本id")
    @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
    private String scriptId;
    /**
     * 未被选择的意图id<br>
     */
    @ApiModelProperty("未被选择的意图id")
    @Size(max = 32, message="未被选择的意图id-unselectedCaseId: 数据长度不能 > 32" )
    private String unselectedCaseId;
}
