/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.HisUseComponent;

/**
 * Mybatis数据库持久层（底层）：历史使用组件列表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-11-03 17:02:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface HisUseComponentMapper extends BasicDao<HisUseComponent>
{
  String EntityName = "HisUseComponent";

  String COLUMN_id = "id";
  String COLUMN_comId = "com_id";
  String COLUMN_projectId = "project_id";
  String COLUMN_recordType = "record_type";
  String COLUMN_comType = "com_type";
  String COLUMN_orderSeq = "order_seq";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
