/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdMobileBrand;
import net.northking.cctp.device.db.mapper.CdMobileBrandMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 移动设备品牌表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-09 11:16:11  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdMobileBrandDao extends CdMobileBrandMapper
{
    List<CdMobileBrand> findAllBrand();

    Integer checkBrand(CdMobileBrand brand);

  // ----      The End by Generator     ----//

}
