CREATE TABLE `cd_mobile_brand` (
	`id` VARCHAR(32) NOT NULL COMMENT '主键id' COLLATE 'utf8mb4_bin',
	`brand_name` VARCHAR(50) NULL DEFAULT NULL COMMENT '品牌名称' COLLATE 'utf8mb4_bin',
	`brand_name_cn` VARCHAR(50) NULL DEFAULT NULL COMMENT '中文名称' COLLATE 'utf8mb4_bin',
	`brand_icon` MEDIUMBLOB NULL DEFAULT NULL COMMENT '品牌标识',
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8mb4_bin',
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`updated_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '更新人' COLLATE 'utf8mb4_bin',
	`updated_time` DATETIME NULL DEFAULT NULL COMMENT '更新时间',
	PRIMARY KEY (`id`) USING BTREE
)
COMMENT='移动设备品牌表'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
