drop table if exists cp_team_member;

CREATE TABLE `cp_team_member` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `team_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '团队id',
  `user_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '团队成员id',
  `is_leader` tinyint(4) DEFAULT NULL COMMENT '负责人',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='团队成员表';

