package net.northking.cctp.testbug.constants;

public class TestBugConstants {
    public final static String STR_ZERO = "0";
    public final static String STR_ONE = "1";
    public final static String STR_TWO = "2";
    public final static String STR_THREE = "3";
    public final static String STR_FOUR = "4";

    public final static String ERR_MSG = "errorMessage";

    public final static String RECORD_FIELD = "错误信息描述";

    public final static String PRO_BUG_FILE_NAME = "系统-缺陷管理.xlsx";

    public final static String URL_ENCODE = "UTF-8";

    public final static String BUG_FILE_NAME = "缺陷库.xlsx";

    public final static String PRO_RULE_COLLECTION = "UITEST-PROJECT:RULE:COLLECTION:";

    public final static String PRO_RULE_MAP = "UITEST-PROJECT:rule_collection:";

    public final static String SIMPLE_DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";

    public final static String CHANGE_STR = "变更字段:";
    public final static String CHANGE_VALUE = "变更值:";

    public final static String PRO_ID = "proId";
    public final static String BUG_ORDER = "bugOrder";
    public final static String BUG_TITLE = "bugTitle";
    public final static String BUG_GRADE = "bugGrade";
    public final static String EMERGENCY = "emergency";
    public final static String BUG_TYPE = "bugType";
    public final static String IS_REAPPEAR = "isReappear";
    public final static String BUG_STATUS = "bugStatus";
    public final static String MODULE_ID = "moduleId";
    public final static String CREATE_BY = "createBy";
    public final static String RECEIVER = "receiver";
    public final static String CREATED_TIME = "createdTime";
    public final static String REPAIR_TIME = "repairTime";
    public final static String CLOSE_TIME = "closeTime";
    public final static String SYSTEM_ID = "systemId";
    public final static String ROUND_ID = "roundId";
    public final static String RECORDS = "records";
    public final static String DATA_HEIGHT = "dataHeight";

    public final static String BUG_LIST_EXECL_EXPORT = "缺陷列表导出";

    public final static String[] TEST_BUG_NAME = {"所属项目", "缺陷编号", "缺陷标题", "严重程度", "紧急程度", "缺陷分类", "是否重现", "缺陷状态", "所属模块", "缺陷发现人", "分配给", "缺陷发现时间", "缺陷修复时间", "缺陷关闭时间", "所属系统", "所属轮次", "历史操作记录"};
    public final static String[] TEST_BUG_KEY = {"proId", "bugOrder", "bugTitle", "bugGrade", "emergency", "bugType", "isReappear", "bugStatus", "moduleId", "createBy", "receiver", "createTime", "repairTime", "closeTime", "systemId", "roundId", "records"};

    public final static String STR_A = "A";
    public final static String STR_B = "B";
    public final static String STR_C = "C";
    public final static String STR_D = "D";
    public final static String STR_E = "E";
    public final static String STR_Y = "Y";

    public final static String BUG_STATUS_A = "致命性错误-A类";
    public final static String BUG_STATUS_B = "严重性错误-B类";
    public final static String BUG_STATUS_C = "一般性错误-C类";
    public final static String BUG_STATUS_D = "警告性错误-D类";
    public final static String BUG_STATUS_E = "建议性错误-E类";

    public final static String STR_HIGH = "高";
    public final static String STR_MID = "中";
    public final static String STR_LOW = "低";

    public final static String DEFECT = "Defect";

    public final static String DEFECT_STR = "Defect-%s-%d;";

    public final static String BUG_MGR_IGNORE_ADDR = "bugId,attachId,repairTime,repairUser,closeTime,correlationLinkDetailDtos,updatedBy,message,expands,caseNum,fastOperate,correlationLinkAddDtos";

    public final static String DICT_KEY = "UITEST-dict::";

    public final static String DICT_BUG_STATUS = ":bugStatus";

    public final static String BUG_TITLE_FAIL = "-断言失败";

    public final static String PICUS_MQ_URL = "/picusmq/ui/data/getDefectList";
}
