/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-09 13:48:58  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷管理")
public class BugOverallStatisticsDetailDto
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 100, message="Id: 数据长度不能 > 100" )
  private String Id;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 项目id<br>
   */
  @ApiModelProperty("项目id")
  @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 总数<br>
   */
  @ApiModelProperty("总数")
  private Integer allAmount;
  /**
   * 已解决<br>
   */
  @ApiModelProperty("已解决")
  private Integer solved;
  /**
   * 未解决<br>
   */
  @ApiModelProperty("未解决")
  private Integer unsolved;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;

}
