package net.northking.cctp.common.config;

import net.northking.cctp.common.exception.ApiExceptionHandler;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用: Web Mvc 通用配置
 *
 * @author xiusong.xie
 * @since 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import({ApiExceptionHandler.class, SwaggerConfiguration.class})
@Configuration
public @interface EnableNKWebMvc
{
}
