/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.attachment.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.attachment.db.entity.Attachment;

/**
 * Mybatis数据库持久层（底层）：附件
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-03-08 10:14:34  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AttachmentMapper extends BasicDao<Attachment>
{
  String EntityName = "Attachment";

  String COLUMN_id = "id";
  String COLUMN_fileName = "file_name";
  String COLUMN_contentType = "content_type";
  String COLUMN_length = "length";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_deleted = "is_deleted";
  String COLUMN_status = "status";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_newFile = "new_file";

}
