/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.CaseDesignCompleteDetails;
import net.northking.cctp.dw.dto.DwCaseDesignInfoDto;

/**
 * 用例设计完成详情（按人员或模块）,包括周、日
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 09:37:20  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface CaseDesignCompleteDetailsService extends BasicService<CaseDesignCompleteDetails> {

    /**
     * 处理用例进度图的数据
     *
     * @param item
     * @return
     */
    Integer caseDesignComplete(DwCaseDesignInfoDto item);

    Integer deleteCompleteByProjectIds(DwCaseDesignInfoDto dwCaseDesignInfoDto);
}
