package net.northking.cctp.dw.dto.atu;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DwAtuScriptExecutionDto {


    @ApiModelProperty(value = "雪狼账号")
    private String snowWolfName;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "公司")
    private String companyName;

    @ApiModelProperty(value = "所属测试组")
    private String testGroup;

    @ApiModelProperty(value = "测试组负责人")
    private String testGroupLeader;

    @ApiModelProperty(value = "系统")
    private String projectName;

    @ApiModelProperty(value = "脚本类型")
    private String scriptType;


    @ApiModelProperty(value = "执行总次数")
    private Integer totalSum;

    @ApiModelProperty(value = "执行失败总次数")
    private Integer failNum;

    @ApiModelProperty(value = "执行成功总次数")
    private Integer successNum;


    private String successRate;
}
