﻿drop table if exists cp_label;

CREATE TABLE `cp_label` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `name` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标签名称',
  `type` varchar(3) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标签类型（1、用例  2、测试点  3、执行用例  4、缺陷  5、接口自动化用例标签 6、UI自动化 7、脚本）',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `is_deleted` tinyint(4) DEFAULT NULL COMMENT '逻辑删除',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  `memo` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标签描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='标签管理';