package net.northking.cctp.se.debugger.endpoint;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.server.standard.ServerEndpointExporter;

/**
 * 使用 Spring boot封装好的 WebSocket 组件
 */
@Configuration
public class WebSocketConfiguration
{

  @Bean
  public ServerEndpointExporter serverEndpointExporter()
  {
    return new ServerEndpointExporter();
  }
}
