/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.executePlan.api.third.devops.service;

import net.northking.cctp.executePlan.api.third.devops.dto.DevopsExecplanInfoResultDto;
import net.northking.cctp.executePlan.api.third.devops.dto.DevopsProExecplanInfoDto;
import net.northking.cctp.executePlan.api.third.devops.dto.DevopsDoExecplanParamDto;

import java.util.List;

/**
 * @author maven-cctp-plugin
 * @since 1.0
 */
public interface DevopsService
{
    List<DevopsProExecplanInfoDto> getExecplanListByProjectId(List<String> productIdList);

    void doExecplanByThirdPlatforn(DevopsDoExecplanParamDto doExecplanParamDto);

    DevopsExecplanInfoResultDto getExecplanResultInfo(DevopsDoExecplanParamDto doExecplanParamDto);
}
