/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.AtuSceneNodeInfo;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInfo;
import net.northking.cctp.scriptcase.db.mapper.AtuSceneNodeInfoMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：场景节点信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-01-31 17:10:50  <br>
 * @author:  maven-cctp-plugin  <b
 * @since:  1.0 <br>
 */
@Repository
public interface AtuSceneNodeInfoDao extends AtuSceneNodeInfoMapper
{

  List<AtuScriptInfo> queryScriptType(@Param(value = "sceneIds") List<String> sceneIds);

  List<AtuSceneNodeInfo> queryNodeInfoByIds(@Param(value = "list")List<String> scriptList);


}
