/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.scriptcase.db.dao.AtuScriptInputSetVersionDao;
import net.northking.cctp.scriptcase.db.service.AtuScriptInputSetVersionService;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInputSetVersion;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 脚本输入项关联草稿表版本表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-09-04 17:42:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuScriptInputSetVersionServiceImpl")
public class AtuScriptInputSetVersionServiceImpl extends PaginationService<AtuScriptInputSetVersion> implements AtuScriptInputSetVersionService
{
private static final Logger logger = LoggerFactory.getLogger(AtuScriptInputSetVersionServiceImpl.class);

  private final AtuScriptInputSetVersionDao atuScriptInputSetVersionDao;

  public AtuScriptInputSetVersionServiceImpl(AtuScriptInputSetVersionDao atuScriptInputSetVersionDao) {this.atuScriptInputSetVersionDao = atuScriptInputSetVersionDao;}

  public BasicDao<AtuScriptInputSetVersion> getDao() {return atuScriptInputSetVersionDao;}

  public AtuScriptInputSetVersion createEntity() { return new AtuScriptInputSetVersion();}

  @Override
  protected void beforeInsert(AtuScriptInputSetVersion record) {

  }

  @Override
  protected void beforeUpdate(AtuScriptInputSetVersion record) {

  }







}

