package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.northking.cctp.scriptcase.db.entity.AtuScriptGroup;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "发布脚本目录信息")
@Data
public class PublishScriptDetailDto extends AtuScriptGroup implements Serializable {
    /**
     * 子节点列表<br>
     */
    @ApiModelProperty("目录名称")
    private List<PublishScriptDetailDto> children;
    /**
     * 节点名称<br>
     */
    @ApiModelProperty("节点名称")
    private String treeName;

    @ApiModelProperty("节点次序")
    private Integer idx;

    @ApiModelProperty("节点是否为脚本 0-否 1-是")
    private String isScript;
}
