package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@JsonSerialize
@ApiModel(description = "请求场景下个接点节点")
public class ReqSceneNextNodeDto implements Serializable {

    @ApiModelProperty("计划执行批次号")
    public String taskId;

    @ApiModelProperty("用例id")
    public String caseId;

    @ApiModelProperty("执行完成节点Id")
    public String nodeId;

    @ApiModelProperty("脚本Url")
    private String sceneScriptUrl;

    @ApiModelProperty("执行完成节点执行状态")
    public boolean success;

    @ApiModelProperty("执行完成节点输出变量")
    public Map<String, Object> outputArgs;

    @ApiModelProperty("场景脚本id")
    private String scriptId;
}
