package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.northking.cctp.scriptcase.api.scenescript.bean.SceneScript;

import java.io.Serializable;

@Data
@JsonSerialize
@ApiModel(description = "场景名称校验")
public class SceneNameVerifyDto implements Serializable {
    @ApiModelProperty("场景脚本对象")
    public SceneScript sceneScript;
    @ApiModelProperty("场景脚本隶属系统")
    public String projectId;
}
