/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.device.db.entity.CdDeviceStatus;

import java.util.List;

public interface CdDeviceStatusService extends BasicService<CdDeviceStatus>
{

    List<CdDeviceStatus> findOfflineDevice();

    void updateDeviceStatus(List<String> ids);

    void updateHeartbeatTime(List<String> ids);


}
