/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.db.dao;

import net.northking.cctp.project.db.entity.CpProjectSoftware;
import net.northking.cctp.project.db.mapper.CpProjectSoftwareMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 系统软件关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-09-14 10:40:30  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpProjectSoftwareDao extends CpProjectSoftwareMapper
{

    void deleteByProjectId(@Param("projectId") String projectId);

    List<String> listProjectIdSoftware(CpProjectSoftware cpProjectSoftware);

    void saveProjectSoftware(CpProjectSoftware cpProjectSoftware);
}
