drop table if exists cp_team;

CREATE TABLE `cp_team` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `team_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '团队名称',
  `memo` varchar(300) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '团队职责描述',
  `is_deleted` tinyint(4) DEFAULT NULL COMMENT '删除标识符',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='团队基本信息表';

