drop table if exists sp_def_item_ext;

CREATE TABLE `sp_def_item_ext` (
  `id` varchar(32) CHARACTER SET utf8 NOT NULL COMMENT '主键',
  `sp_id` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '流程主键',
  `item_id` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '图项id',
  `item_type` int(11) DEFAULT NULL COMMENT '图项类型',
  `enable_notice` bit(1) DEFAULT b'0' COMMENT '是否启用通知',
  `enable_todo` bit(1) DEFAULT b'0' COMMENT '是否启用代办',
  `tenant_id` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='图项扩展属性';