/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.attachment.bus;

import org.springframework.amqp.core.Message;

/**
 * 附件消费者
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface AttachmentConsumer
{
  /**
   * 处理附件消息
   *
   * @param message 附件消息
   */
  void process(Message message);
}
