/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.mapper.BugTemplateStatusMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-01-17 11:02:43  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugTemplateStatusDao extends BugTemplateStatusMapper
{
    void deleteByProIdList(@Param("proIdList") List<String> proIdList);

    Integer updateBugStatusByCode(@Param("itemCode")String itemCode, @Param("itemName")String itemName, @Param("proIdList")List<String> proIdList);
    // ----      The End by Generator     ----//

}
