drop table if exists cp_manage_template;

CREATE TABLE `cp_manage_template` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键id',
  `name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板名称',
  `memo` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '描述',
  `layer_total` int(2) DEFAULT NULL COMMENT '项目层数',
  `is_default` tinyint(1) DEFAULT '0' COMMENT '是否默认 1是 0否',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='项目管理模板表';