drop table if exists cp_template_project_type;

CREATE TABLE `cp_template_project_type` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `project_type` varchar(30) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '项目类型（字典）',
  `template_type` int(2) NOT NULL COMMENT '模板类型(0,缺陷、1,用例、2,管理、3，流程)',
  `template_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '模板id',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='模板与项目类型绑定关系表';